Bug 151856 - GUI goes off bottom of screen on Mac Mini
Summary: GUI goes off bottom of screen on Mac Mini
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 4
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-22 22:08 UTC by Gerald Henriksen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 12:40:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (2.64 KB, text/plain)
2005-03-23 05:28 UTC, Gerald Henriksen
no flags Details

Description Gerald Henriksen 2005-03-22 22:08:08 UTC
Description of problem:

When anaconda starts up in GUI mode only the top left 1/4 of the installer is
visible on the screen.  Buttons, etc are all off the bottom of the screen.

Version-Release number of selected component (if applicable):


How reproducible:

attempt to install

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Hardware is a Mac Mini (ATI Radeon 9200)
May or may not be relevant but during the detection phase the monitor comes back
as unknown, however the same monitor when connected to an Intel machine is
correctly identified.

Comment 1 Paul Nasrat 2005-03-23 00:29:10 UTC
Would you be able to provide some diagnostics as required? 

In particular you fail to mention the make/model of the monitor.

With the intel box and this monitor can you attach /etc/X11/xorg.conf and also
seperately the output of running as root /usr/sbin/kudzu -p -b ddc

When the ppc box is booted into the installer can you go to a shell (ctrl-alt-f2
(may involve using the fn key to shift F keys)) and also give me the output of

python -c "import kudzu; print kudzu.probe(kudzu.CLASS_UNSPEC, kudzu.BUS_DDC,
kudzu.PROBE_ALL)"

thanks

Comment 2 Gerald Henriksen 2005-03-23 04:31:21 UTC
(In reply to comment #1)
> In particular you fail to mention the make/model of the monitor.

Viewsonic PT775
 
> When the ppc box is booted into the installer can you go to a shell (ctrl-alt-f2
> python -c "import kudzu; print kudzu.probe(kudzu.CLASS_UNSPEC, kudzu.BUS_DDC,
> kudzu.PROBE_ALL)"

Segmentation fault is the result of this.


Comment 3 Gerald Henriksen 2005-03-23 05:28:58 UTC
Created attachment 112241 [details]
xorg.conf file

xorg.conf from a fresh install of FCT1, not optimal as monitor is capable of
doing 1024x768 even though it is not listed.

Comment 4 Gerald Henriksen 2005-03-23 05:31:07 UTC
(In reply to comment #1)
> With the intel box and this monitor can you attach /etc/X11/xorg.conf and also
> seperately the output of running as root /usr/sbin/kudzu -p -b ddc

[root@olympic X11]# /usr/sbin/kudzu -p -b ddc
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "NVidia Riva TNT"
mem: 4096
-
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "ViewSonic PT775"
id: VSC474a
horizSyncMin: 30
horizSyncMax: 96
vertRefreshMin: 50
vertRefreshMax: 160
[root@olympic X11]#


Comment 5 Colin Charles 2005-05-17 10:47:15 UTC
Wanna take a gander at this with FC4t3? I can't reproduce. What is however funny
is that when you ran a ddcprobe in comment #4, you got back nvidia riva tnt
(when this is clearly an ati radeon)

Comment 6 Gerald Henriksen 2005-05-18 02:40:44 UTC
I just booted up the installer for FC4t3 and nothing has changed, the gui is
still off the screen.  Regarding comment #4 that was the result of a request for
information from an Intel based box that shares the monitor in question.  On the
Intel box the installer correctly identifies both the video card and monitor,
however on the Mac while the ati radeon is identified it reports back unkown
monitor.


Comment 7 Jeremy Katz 2005-05-19 01:33:51 UTC
Does X work fine after the install?  

Comment 8 Gerald Henriksen 2005-05-19 11:28:18 UTC
Yes X is working fine once installed.

Comment 9 Jeremy Katz 2005-05-19 12:22:06 UTC
Hrmm... does the X config differ between post-install and during the install? 
You should be able to just start the installer and grab the X config from /tmp
and then diff it to your regular X config.

Comment 10 Gerald Henriksen 2005-05-31 14:09:37 UTC
In the Screen section during install there is only an entry for 640x480

The other difference seen is in the Monitor section.

During the install there is the following 2 lines:
HorizSync  31.5 - 37.9
VertRefresh 50.0 - 70.0

The file created by system-config-display has the following:
HorizSync  30.0 - 96.0
VertRefresh 50.0 - 160.0

During the install going through /tmp/ramfs/X.log revealed the following errors:

640x480 vrefresh out of range
640x480 hsync out of range

This is also repeated for a lot of other resolutions with these errors.

Comment 11 Chris Lumens 2006-02-27 20:24:56 UTC
We've done some work on how X starts up in anaconda for this next release.  Is
this working better in FC5test3?

Comment 12 John Thacker 2006-05-06 12:40:48 UTC
Closing due to lack of response from reporter.

If this still occurs with FC5, please reopen.


Note You need to log in before you can comment on or make changes to this bug.